GET /pool/{uuid}/algo/

GET /pool/{uuid}/algo/

/pool/{uuid}/algo/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/algo
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AlgoStatRuntime of type(s) application/json
{
    "ca_stats": {
        "compact_core_nums": [
            0
        ],
        "core_nonaffinity": 0,
        "num_flow_cores": 0,
        "servers": [
            {
                "affinity_core_open_conns": 0,
                "affinity_core_total_conns": 0,
                "ip_addr": {
                    "addr": "string",
                    "type": "string"
                },
                "non_affinity_core_open_conns": 0,
                "non_affinity_core_total_conns": 0,
                "port": 0
            }
        ],
        "stretch_factor": 0,
        "sum_weights": 0,
        "weighted_core_s_indices": [
            {
                "vals": [
                    {
                        "idx": 0,
                        "weight": 0
                    }
                ]
            }
        ]
    },
    "lb_algorithm": "string",
    "lc_stats": {
        "lccore": [
            {
                "core": 0,
                "entry": [
                    {
                        "open_conns": 0,
                        "preference_order": 0,
                        "server_name": "string",
                        "weight": 0
                    }
                ]
            }
        ]
    },
    "ns_stats": {
        "entry": [
            {
                "index": 0,
                "ip_addr": "string",
                "port": 0,
                "weight": 0
            }
        ],
        "num_servers": 0,
        "num_servers_no_loc": 0,
        "pool_latitude": 0,
        "pool_longitude": 0,
        "server_entry": [
            {
                "ip_addr": "string",
                "latitude": 0,
                "longitude": 0,
                "port": 0,
                "weight": 0
            }
        ]
    },
    "wrr_stats": {
        "entry": [
            {
                "index": 0,
                "ip_addr": "string",
                "port": 0,
                "weight": 0
            }
        ],
        "next_index": 0,
        "total_weight": 0
    }
}
object
ca_stats
Optional

ca_stats

string
lb_algorithm
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
lc_stats
Optional

lc_stats

object
ns_stats
Optional

ns_stats

object
wrr_stats
Optional

wrr_stats


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/algo